version: '3'
services:
  router:
    build: ../../m2m.router
    environment:
      MODLOG_DNS_NAME: http://modlog:1972
      LOBSTERS_DNS_NAME: http://web:3000
      ZIPKIN_BASE_URL: http://zipkin:9411
    ports:
      - 1972:1972
    depends_on:
      - web

  web:
    build: ../../lobsters
    ports:
      - "3000:3000"
    depends_on:
      - db
      - request

  request:
    build: ../../m2m.request
    ports:
      - "8080:8080"
    depends_on:
      - db

  router:
    build: ../../m2m.router
    environment:
      LOBSTERS_DNS_NAME: "http://192.168.102.30:3000"
      MODLOG_DNS_NAME: "http://www.heise.de"
    ports:
      - "1972:1972"
    depends_on:
      - influx
      - zipkin

  zipkin:
    image: openzipkin/zipkin
    environment:
      STORAGE_TYPE: mysql
      MYSQL_HOST: opsdb
    ports:
      - 9411:9411
    depends_on:
      - opsdb

  db:
    image: mariadb
    restart: always
    ports:
      - "3306"
    environment:
      MYSQL_ROOT_PASSWORD: secret
    depends_on:
      - zipkin
    volumes:
      - data:/var/lib/mysql

  influx:
    image: influxdb:1.6.3-alpine
    ports:
      - 8086
    environment:
      INFLUXDB_DB: test

  chronograf:
    image: chronograf:1.6.2-alpine
    ports:
      - 8888:8888
    depends_on:
      - influx

  opsdb:
    image: openzipkin/zipkin-mysql
    ports:
      - 3306
    volumes:
      - opsdata:/mysql/data
    restart: unless-stopped

volumes:
  data:
  opsdata:
